#!/bin/bash
#
#从服务中心下线
curl -X POST 'http://localhost:8023/actuator/service-registry?status=DOWN' -H 'cache-control: no-cache' -H 'content-type: application/json' -d '{}'
sleep 60
#从nacos里踢除服务
curl -X POST 'http://localhost:8023/actuator/shutdown' -H 'cache-control: no-cache'
sleep 5

# 获取PID
#pid=`ps -ef | egrep "[s]oa-analysis" | grep -v "soa-analysis.sh" | grep -v "soa-analysis.log" | awk '{print $2}'`
#pid=`ps -ef | egrep "[s]oa-analysis-v0.0.1.jar" |grep -v "grep" | awk '{print $2}'`
# 查询进程是否存在
#ps aux | grep [s]oa-analysis-v0.0.1.jar

# 如进程存在，则kill
#if [ $? -eq 0 ];then
#       kill -9 $pid
#fi
ps -ef | egrep "[s]oa-analysis-v0.0.1.jar" |grep -v "grep"|grep -v "soa-analysis.sh" | awk '{print $2}'|xargs kill -9
sleep 3

cd /data/TSP/
# 运行jar包
nohup java -Xms2g -Xmx2g -Xmn1g -XX:MetaspaceSize=256m -XX:MaxMetaspaceSize=512m -XX:MaxDirectMemorySize=512m -XX:+PrintGCDetails -XX:+PrintGCDateStamps -Xloggc:/data/TSP_LOG/gclog/soa-analysis.log  -javaagent:/opt/skywalking_agent/skywalking-agent.jar  -Dskywalking.agent.service_name=soa-analysis-1 -Dskywalking.collector.backend_service=10.20.80.124:11800,10.20.20.183:11800,10.20.50.2:11800 -javaagent:/opt//prometheus-jvm/jmx_prometheus_javaagent-0.14.0.jar=27022:/opt//prometheus-jvm/prometheus-jmx-config.yaml -jar -Dspring.profiles.active=prod -Dfile.encoding=UTF-8 -Duser.timezone=GMT+08 /data/TSP/soa-analysis-v0.0.1.jar > /data/logs/soa-analysis.log 2>&1 &
cd
sleep 5
pid=`ps -ef | egrep "[s]oa-analysis-v0.0.1.jar" |grep -v "grep"|grep -v "soa-analysis.sh" | awk '{print $2}'`
if [ "$pid" == "" ]; then
        echo '启动不正常，再次启动'>/tmp/1-blog.txt
        nohup java -Xms2g -Xmx2g -Xmn1g -XX:MetaspaceSize=256m -XX:MaxMetaspaceSize=512m -XX:MaxDirectMemorySize=512m -XX:+PrintGCDetails -XX:+PrintGCDateStamps -Xloggc:/data/TSP_LOG/gclog/soa-analysis.log -javaagent:/opt/skywalking_agent/skywalking-agent.jar  -Dskywalking.agent.service_name=soa-analysis-1 -Dskywalking.collector.backend_service=10.20.80.124:11800,10.20.20.183:11800,10.20.50.2:11800 -javaagent:/opt//prometheus-jvm/jmx_prometheus_javaagent-0.14.0.jar=27022:/opt//prometheus-jvm/prometheus-jmx-config.yaml -jar -Dspring.profiles.active=prod -Dfile.encoding=UTF-8 -Duser.timezone=GMT+08 /data/TSP/soa-analysis-v0.0.1.jar > /data/logs/soa-analysis.log 2>&1 &
else
        echo '正常'>/tmp/2-blog.txt
fi
cd

exit 0
